regex-1.1.0.2: Toolkit for regex-base

Safe Haskell | None
Language | Haskell2010

Text.RE.TestBench.Parsers

# Documentation

parseInteger :: Replace a => a -> Maybe Int Source #

parseHex :: Replace a => a -> Maybe Int Source #

parseDouble :: Replace a => a -> Maybe Double Source #

parseString :: Replace a => a -> Maybe Text Source #

parseSimpleString :: Replace a => a -> Maybe Text Source #

parseDate :: Replace a => a -> Maybe Day Source #

parseSlashesDate :: Replace a => a -> Maybe Day Source #

parseTimeOfDay :: Replace a => a -> Maybe TimeOfDay Source #

parseTimeZone :: Replace a => a -> Maybe TimeZone Source #

parseDateTime :: Replace a => a -> Maybe UTCTime Source #

parseDateTime8601 :: Replace a => a -> Maybe UTCTime Source #

parseDateTimeCLF :: Replace a => a -> Maybe UTCTime Source #

parseShortMonth :: Replace a => a -> Maybe Int Source #

shortMonthArray :: Array Int Text Source #

type IPV4Address = (Word8, Word8, Word8, Word8) Source #

parseIPv4Address :: Replace a => a -> Maybe IPV4Address Source #

data Severity Source #

Constructors

Emerg |
Alert |
Crit |
Err |
Warning |
Notice |
Info |
Debug |

#### Instances

Instances details

Bounded Severity Source # |
Instance details Defined in Text.RE.ZeInternals.TestBench.Parsers Methods minBound :: Severity Source # maxBound :: Severity Source #
Enum Severity Source # |

Instance details

Defined in Text.RE.ZeInternals.TestBench.Parsers

Methods

succ :: Severity -> Severity Source #

pred :: Severity -> Severity Source #

toEnum :: Int -> Severity Source #

fromEnum :: Severity -> Int Source #

enumFrom :: Severity -> [Severity] Source #

enumFromThen :: Severity -> Severity -> [Severity] Source #

enumFromTo :: Severity -> Severity -> [Severity] Source #

enumFromThenTo :: Severity -> Severity -> Severity -> [Severity] Source #

Show Severity Source # |
Instance details Defined in Text.RE.ZeInternals.TestBench.Parsers Methods showsPrec :: Int -> Severity -> ShowS Source # show :: Severity -> String Source # showList :: [Severity] -> ShowS Source #
Eq Severity Source # |
Instance details Defined in Text.RE.ZeInternals.TestBench.Parsers Methods (==) :: Severity -> Severity -> Bool Source # (/=) :: Severity -> Severity -> Bool Source #
Ord Severity Source # |

Instance details

Defined in Text.RE.ZeInternals.TestBench.Parsers

Methods

compare :: Severity -> Severity -> Ordering Source #

(<) :: Severity -> Severity -> Bool Source #

(<=) :: Severity -> Severity -> Bool Source #

(>) :: Severity -> Severity -> Bool Source #

(>=) :: Severity -> Severity -> Bool Source #

max :: Severity -> Severity -> Severity Source #

min :: Severity -> Severity -> Severity Source #

parseSeverity :: Replace a => a -> Maybe Severity Source #

severityKeywords :: Severity -> (Text, [Text]) Source #